| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iFrameEventSignpost Struct Reference

Inheritance diagram for iFrameEventSignpost:

[legend]
List of all members.

## Public Member Functions
virtual CS_EVENTHANDLER_DEFAULT_INSTANCE_CONSTRAINTS bool | HandleEvent (iEvent &)
| This is the basic event handling function.
| iFrameEventSignpost ()
virtual | ~iFrameEventSignpost ()

## Detailed Description

Definition at line 213 of file eventhandlers.h.

## Member Function Documentation

virtual CS_EVENTHANDLER_DEFAULT_INSTANCE_CONSTRAINTS bool iFrameEventSignpost::HandleEvent | ( | iEvent & |  | ) | `[inline, virtual]`

This is the basic event handling function.

To receive events, a component must implement iEventHandler and register with an event queue using iEventQueue::RegisterListener() and iEventQueue::Subscribe(). The event handler should return true if the event was handled. Returning true prevents the event from being passed along to other event handlers (unless the event's Broadcast flag has been set, in which case it is sent to all subscribers regardless of the return value). If the event was not handled, then false should be returned, in which case other event handlers are given a shot at the event. Do not return true unless you really handled the event and want event dispatch to stop at your handler.

Implements iEventHandler.

Definition at line 219 of file eventhandlers.h.

The documentation for this struct was generated from the following file:

- csutil/eventhandlers.h